## qtbase-opensource-src-gles 5.15.10+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:30:15 +0300

qtbase-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge 5.15.8+dfsg-13 upload from unstable.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 09:54:13 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 22:46:16 +0300

qtbase-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_recursion_crash.diff
    - mysql_field_readonly.diff
    - revert_wm_state.diff
    - recreate_xcb_window.diff
  * Bump ABI version to qtbase-abi-5-15-10.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2023 11:08:39 +0300

qtbase-opensource-src (5.15.9+dfsg-3) experimental; urgency=medium

  * Merge 5.15.8+dfsg-12 upload from unstable, bringing CVE fixes.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:46:52 +0300

qtbase-opensource-src-gles (5.15.9+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.9+dfsg-2 upload.
  * Bump qtbase build-dependencies to 5.15.9.
  * Drop Breaks/Replaces on pre-Bullseye package versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 May 2023 22:10:55 +0300

qtbase-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump years for 3rdparty copyright.
  * Backport upstream patch to stop using O_PATH in OpenFile portal
    (LP: #1876237).
  * Add a patch to fix capitalization error in auto-generated qdbusmacros.h
    include (LP: #2016703).
  * Make qtbase5-private-dev suggest packages providing includes which are
    used by some of its headers (closes: #1034830).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 18:27:14 +0300

qtbase-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop CVE-2022-25255.diff, included in the new release.
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-9.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Fix use of transitional packages in Build-Depends and Depends:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update a11y_root.diff to the version which was applied upstream.
  * Drop qt5-flatpak-platformtheme transitional package.
  * Drop Breaks/Replaces for pre-Bullseye versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Apr 2023 15:40:16 +0300

qtbase-opensource-src (5.15.8+dfsg-13) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patches to fix regression caused by CVE-2023-24607.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2023 23:13:01 +0300

qtbase-opensource-src (5.15.8+dfsg-12) unstable; urgency=medium

  * Backport upstream patch to fix CVE-2023-34410 (closes: #1037210).
    - Note: this is the second patch related to that CVE; the first one
      is for Schannel code which is Windows-only, so we don't need it.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:37:43 +0300

qtbase-opensource-src (5.15.8+dfsg-11) unstable; urgency=medium

  * Rename the patches for consistency and add DEP-3 headers.
  * Add a patch to fix buffer overflow in QDnsLookup (CVE-2023-33285).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 May 2023 13:45:05 +0300

qtbase-opensource-src (5.15.8+dfsg-10) unstable; urgency=medium

  * Add patches to fix CVE-2023-32762 and CVE-2023-32763.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:31:55 -0300

qtbase-opensource-src (5.15.8+dfsg-9) unstable; urgency=medium

  * Backport upstream patch to fix laggy drag-and-drop with KWin. See:
    - https://bugreports.qt.io/browse/QTBUG-98048
    - https://lists.debian.org/debian-kde/2022/11/msg00019.html

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 12:19:31 +0300

qtbase-opensource-src (5.15.8+dfsg-8) unstable; urgency=medium

  * Add back Breaks/Replaces for libqtcore4 (closes: #1035790).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 14:12:14 +0300

qtbase-opensource-src (5.15.8+dfsg-7) unstable; urgency=medium

  * Update a11y_root.diff. This time the code waits for Qt loop to process the
    check (Closes: #1033995, #1034160, #1034271).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Apr 2023 20:24:34 -0300

qtbase-opensource-src (5.15.8+dfsg-6) unstable; urgency=medium

  * Use the new, fixed version of a11y_root.diff from Samuel Thibault
    (again closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Apr 2023 14:25:22 +0300

qtbase-opensource-src (5.15.8+dfsg-5) unstable; urgency=medium

  * Revert the last upload. Unfortunately, it caused regressions
    (closes: #1034160, #1034169, #1034191).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Apr 2023 23:58:16 +0300

qtbase-opensource-src (5.15.8+dfsg-4) unstable; urgency=medium

  * Add a patch to fix accessibility on XCB when running as root
    (closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Apr 2023 21:23:36 +0300

=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               libmd4c-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libqt5core5a (>= 5.15.10+dfsg~),
               libqt5dbus5 (>= 5.15.10+dfsg~),
               libqt5network5 (>= 5.15.10+dfsg~),
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               pkg-config,
               pkg-kde-tools,
               publicsuffix,
               qt5-qmake-bin <cross>,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5gui5-gles
Architecture: any
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme, qtwayland5
Breaks: qt5-default
Suggests: qgnomeplatform-qt5, qt5-image-formats-plugins
Description: Qt 5 GUI module — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.
 .
 This package provides a version of Qt GUI library built against OpenGL ES,
 for use on embedded/mobile devices.

Package: qtbase5-gles-dev
Architecture: any
Conflicts: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libegl-dev,
         libgles-dev,
         libqt5concurrent5 (>= ${source:Upstream-Version}),
         libqt5core5a (>= ${source:Upstream-Version}),
         libqt5dbus5 (>= ${source:Upstream-Version}),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= ${source:Upstream-Version}),
         libqt5printsupport5 (>= ${source:Upstream-Version}),
         libqt5sql5 (>= ${source:Upstream-Version}),
         libqt5test5 (>= ${source:Upstream-Version}),
         libqt5widgets5 (>= ${source:Upstream-Version}),
         libqt5xml5 (>= ${source:Upstream-Version}),
         libvulkan-dev [linux-any],
         libxext-dev,
         qt5-qmake (>= ${source:Upstream-Version}),
         qtbase5-dev-tools (>= ${source:Upstream-Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (>= ${source:Upstream-Version})
Suggests: default-libmysqlclient-dev,
          firebird-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Breaks: qt5-default (<< 5.15.1+dfsg-2~)
Description: Qt 5 base development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.
 .
 Normally you should use the qtbase5-dev package. Use this one only if
 your software supports only OpenGL ES or if you want to make use of some
 OpenGL ES specific API.
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: qtbase5-private-gles-dev
Architecture: any
Conflicts: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: libfontconfig-dev,
         libinput-dev [linux-any],
         libxkbcommon-dev,
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libatspi2.0-dev,
          libcups2-dev,
          libdouble-conversion-dev,
          libdrm-dev [linux-any],
          libharfbuzz-dev,
          libicu-dev,
          libssl-dev,
          libxcb-image0-dev,
          libxcb-keysyms1-dev,
          libxcb-randr0-dev,
          libxcb-sync-dev,
          libxcb-xfixes0-dev,
          libxcb-xinerama0-dev,
          libxcb-xkb-dev,
          libxkbcommon-x11-dev
Description: Qt 5 base private development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Normally you should use qtbase5-dev or qtbase5-private-dev package. Use this
 one only if your software supports only OpenGL ES or if you want to make use
 of some OpenGL ES specific API. Use at your own risk.

## qtbase-opensource-src-gles 5.15.13%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               firebird-dev [kfreebsd-any linux-any],
+               dpkg-dev (>= 1.22.5),
+               firebird-dev [linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -21,7 +22,7 @@
                libdrm-dev [linux-any],
                libfontconfig-dev,
                libfreetype-dev,
-               libgbm-dev [linux-any kfreebsd-any],
+               libgbm-dev [linux-any],
                libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
@@ -38,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.10+dfsg~),
-               libqt5dbus5 (>= 5.15.10+dfsg~),
-               libqt5network5 (>= 5.15.10+dfsg~),
+               libqt5core5t64 (>= 5.15.13+dfsg~),
+               libqt5dbus5t64 (>= 5.15.13+dfsg~),
+               libqt5network5t64 (>= 5.15.13+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -68,8 +69,8 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                libzstd-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
@@ -81,7 +82,7 @@
 
 Package: libqt5gui5-gles
 Architecture: any
-Conflicts: libqt5gui5
+Conflicts: libqt5gui5, libqt5gui5t64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
@@ -104,16 +105,16 @@
 Section: libdevel
 Depends: libegl-dev,
          libgles-dev,
-         libqt5concurrent5 (>= ${source:Upstream-Version}),
-         libqt5core5a (>= ${source:Upstream-Version}),
-         libqt5dbus5 (>= ${source:Upstream-Version}),
+         libqt5concurrent5t64 (>= ${source:Upstream-Version}),
+         libqt5core5t64 (>= ${source:Upstream-Version}),
+         libqt5dbus5t64 (>= ${source:Upstream-Version}),
          libqt5gui5-gles (= ${binary:Version}),
-         libqt5network5 (>= ${source:Upstream-Version}),
-         libqt5printsupport5 (>= ${source:Upstream-Version}),
-         libqt5sql5 (>= ${source:Upstream-Version}),
-         libqt5test5 (>= ${source:Upstream-Version}),
-         libqt5widgets5 (>= ${source:Upstream-Version}),
-         libqt5xml5 (>= ${source:Upstream-Version}),
+         libqt5network5t64 (>= ${source:Upstream-Version}),
+         libqt5printsupport5t64 (>= ${source:Upstream-Version}),
+         libqt5sql5t64 (>= ${source:Upstream-Version}),
+         libqt5test5t64 (>= ${source:Upstream-Version}),
+         libqt5widgets5t64 (>= ${source:Upstream-Version}),
+         libqt5xml5t64 (>= ${source:Upstream-Version}),
          libvulkan-dev [linux-any],
          libxext-dev,
          qt5-qmake (>= ${source:Upstream-Version}),

## qtbase-opensource-src-gles 5.15.13+dfsg

=== tests/auto/cmake/test_multiple_find_package/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_multiple_find_package)

find_package(Qt5Core REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_subdirectory(subdir1)

add_executable(exe1 main.cpp)
target_link_libraries(exe1 Qt5::Core)

=== tests/auto/cmake/test_testlib_definitions/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)

project(test_testlib_definitions)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

macro(test_testlib_project _module)
    find_package(Qt5${_module} REQUIRED)
    find_package(Qt5Test REQUIRED)

    add_definitions(
        ${Qt5${_module}_DEFINITIONS}
        ${Qt5Test_DEFINITIONS}
    )

    include_directories(
        ${Qt5${_module}_INCLUDE_DIRS}
        ${Qt5Test_INCLUDE_DIRS}
    )

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5${_module}_EXECUTABLE_COMPILE_FLAGS}")

    set(main_file "${CMAKE_CURRENT_SOURCE_DIR}/../main.cpp")
    set(moc_file "${CMAKE_CURRENT_BINARY_DIR}/main.moc")

    qt5_generate_moc("${main_file}" "${moc_file}")

    add_executable(testapp_${_module} "${main_file}" "${moc_file}")
    target_link_libraries(testapp_${_module}
        ${Qt5${_module}_LIBRARIES}
        ${Qt5Test_LIBRARIES}
    )
endmacro()

add_subdirectory(core_only)
if(NOT NO_GUI)
    add_subdirectory(gui)
endif()
if(NOT NO_WIDGETS)
    add_subdirectory(widgets)
endif()

=== tests/auto/cmake/test_multiple_find_package/subdir1/CMakeLists.txt ===

find_package(Qt5Core REQUIRED)

add_executable(exe2 "${CMAKE_CURRENT_SOURCE_DIR}/../main.cpp")
target_link_libraries(exe2 Qt5::Core)

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 23:20:09 +0300

qtbase-opensource-src-gles (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src-gles 5.15.10+dfsg-6 upload from unstable.
  * Merge qtbase-opensource-src 5.15.13+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2024 11:06:55 +0300

qtbase-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from unstable.
    - Acknowledge NMUs, thanks Benjamin Drung and Steve Langasek!
  * New upstream release.
  * Drop patches, included in the new release:
    - image_deletion_order.diff
    - qxcbwindow_set_geometry.diff
    - CVE-2023-24607.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-13.
  * Update debian/copyright.
  * Run wrap-and-sort.
  * Fix Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 14:24:14 +0300

qtbase-opensource-src (5.15.12+dfsg-3) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7 upload from unstable.
  * Replace pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2024 19:39:14 +0300

qtbase-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Merge 5.15.10+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5.symbols for powerpc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jan 2024 13:23:36 +0300

qtbase-opensource-src-gles (5.15.12+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.12+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Dec 2023 11:41:01 +0300

qtbase-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_alt_backtick.diff, included in the new release.
  * Bump ABI version to qtbase-abi-5-15-12.
  * Update debian/copyright for src/3rdparty/libpng.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:48:57 +0300

qtbase-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - openssl_set_options.diff
    - revert_startBlocking_removal.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-11.
  * Update debian/copyright.
  * Override two source-is-missing Lintian warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 18:38:23 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-6) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-7.2 upload.
  * Update qtbase binary package names for 64-bit time_t transition.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 00:17:29 +0300

qtbase-opensource-src (5.15.10+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.  Closes: #1065154.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:03:16 +0000

qtbase-opensource-src (5.15.10+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062946

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:11:00 +0000

qtbase-opensource-src-gles (5.15.10+dfsg-5) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-7 upload.
    - Fixes CVE-2024-25580 (closes: #1064054).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Feb 2024 11:26:43 +0300

qtbase-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to fix potential buffer overflow when reading
    KTX images (CVE-2024-25580, closes: #1064053).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:11:37 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-4) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-6 upload.
    - Fixes CVE-2023-51714 (closes: #1060695).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2024 21:44:36 +0300

qtbase-opensource-src (5.15.10+dfsg-6) unstable; urgency=medium

  * Backport upstream patches to fix incorrect integer overflow check in
    HPack (CVE-2023-51714, closes: #1060694).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 19:53:52 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-3) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-5 upload.
    - Fixes CVE-2023-38197 (closes: #1041106).
    - Fixes FTBFS with libxkbcommon 1.6.0 (closes: #1054700).
    - Fixes FTBFS after successful build (closes: #1049198).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 13:52:43 +0300

qtbase-opensource-src (5.15.10+dfsg-5) unstable; urgency=medium

  * Add a patch to support LoongArch (closes: #1054569). Thanks Dandan Zhang!
  * Add a debian/clean file (closes: #1048743).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Nov 2023 11:21:47 +0300

qtbase-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix build with libxkbcommon 1.6.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:07:10 +0300

qtbase-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the patches gnukfreebsd.diff, and nonlinux_utime.diff, as they only
      apply changes to that OS
      - drop installed files added by them
    - drop the kfreebsd-any qualifiers from the firebird-dev, and libgbm-dev
      build dependencies
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
    - drop the kfreebsd qualifiers in symbols files
  * More changes to symbols files:
    - set a symbol as linux-any, as it is Linux-specific
    - drop mips, and powerpcspe qualifiers, as those architectures are long dead


## qtbase-opensource-src-gles 5.15.15+dfsg

=== tests/auto/cmake/test_opengl_lib/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_opengl_lib)

find_package(Qt5Gui REQUIRED)

include_directories(${Qt5Gui_INCLUDE_DIRS} ${Qt5Gui_OPENGL_INCLUDE_DIRS} )
add_definitions(${Qt5Gui_DEFINITIONS})

get_property(QtGui_enabled_features TARGET Qt5::Gui PROPERTY INTERFACE_QT_ENABLED_FEATURES)
list(LENGTH QtGui_enabled_features _QtGui_enabled_featuresSize)
if (_QtGui_enabled_featuresSize LESS 1)
    message(SEND_ERROR "The INTERFACE_QT_ENABLED_FEATURES property of Qt5::Gui is empty!")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}")

if (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL GLESv2)
    list(FIND QtGui_enabled_features "opengles2" _opengles2Index)
    if(_opengles2Index EQUAL -1)
        message(SEND_ERROR "The INTERFACE_QT_ENABLED_FEATURES property of Qt5::Gui does not contain the opengles2 feature!")
    endif()
    add_definitions(-DGL_IMPLEMENTATION_GLES2)
elseif (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL GL)
    list(FIND QtGui_enabled_features "opengl" _openglIndex)
    if(_openglIndex EQUAL -1)
        message(SEND_ERROR "The INTERFACE_QT_ENABLED_FEATURES property of Qt5::Gui does not contain the opengl feature!")
    endif()
    add_definitions(-DGL_IMPLEMENTATION_GL)
else()
    message(SEND_ERROR "Qt5Gui_OPENGL_IMPLEMENTATION does not contain valid data.")
endif()

add_executable(myobject main.cpp )
target_link_libraries(myobject ${Qt5Gui_LIBRARIES} ${Qt5Gui_OPENGL_LIBRARIES})

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 14:41:28 +0300

qtbase-opensource-src-gles (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.15+dfsg-1 upload.
    - Adds a patch for CVE-2024-39936 (closes: #1077544).
  * Bump qtbase build-dependencies to 5.15.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Sep 2024 12:52:21 +0300

qtbase-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge 5.15.13+dfsg-4 upload from unstable.
  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32763.diff
    - CVE-2023-34410.diff
    - CVE-2023-37369.diff
    - CVE-2023-38197.diff
  * Bump API version to qtbase-abi-5-15-15.
  * Update debian/copyright.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Aug 2024 22:07:11 +0300

qtbase-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32762.diff
    - CVE-2023-33285.diff
    - sql_odbc_fix_unicode_check.diff
  * Rebase sql_odbc_more_unicode_checks.diff.
  * Populate ${libssl:Depends} properly for libqt5network5t64.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 May 2024 17:32:51 +0300

qtbase-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix qfutureinterface.h for GCC 14
    (closes: #1075430).
  * Backport three upstream patches to improve D-Bus tray integration,
    in particular on non-X11 desktops (LP: #2059819).
  * Update symbols files for GCC 14.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jul 2024 15:43:37 +0300

qtbase-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to delay any communication until encrypted() can
    be responded to (CVE-2024-39936, closes: #1076293).
  * Populate ${libssl:Depends} properly for libqt5network5t64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2024 18:35:58 +0300

qtbase-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 10:53:43 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
@@ -39,9 +38,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5t64 (>= 5.15.13+dfsg~),
-               libqt5dbus5t64 (>= 5.15.13+dfsg~),
-               libqt5network5t64 (>= 5.15.13+dfsg~),
+               libqt5core5t64 (>= 5.15.15+dfsg~),
+               libqt5dbus5t64 (>= 5.15.15+dfsg~),
+               libqt5network5t64 (>= 5.15.15+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +74,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

## qtbase-opensource-src-gles 5.15.17+dfsg

=== src/3rdparty/libjpeg/CMakeLists.txt ===
set(JPEG16_SOURCES
    src/jcapistd.c
    src/jccolor.c
    src/jcdiffct.c
    src/jclossls.c
    src/jcmainct.c
    src/jcprepct.c
    src/jcsample.c
    src/jdapistd.c
    src/jdcolor.c
    src/jddiffct.c
    src/jdlossls.c
    src/jdmainct.c
    src/jdpostct.c
    src/jdsample.c
    src/jutils.c)

set(JPEG12_SOURCES
    ${JPEG16_SOURCES}
    src/jccoefct.c
    src/jcdctmgr.c
    src/jdcoefct.c
    src/jddctmgr.c
    src/jdmerge.c
    src/jfdctfst.c
    src/jfdctint.c
    src/jidctflt.c
    src/jidctfst.c
    src/jidctint.c
    src/jidctred.c
    src/jquant1.c
    src/jquant2.c)

set(JPEG_SOURCES
    ${JPEG12_SOURCES}
    src/jaricom.c
    src/jcapimin.c
    src/jcarith.c
    src/jchuff.c
    src/jcicc.c
    src/jcinit.c
    src/jclhuff.c
    src/jcmarker.c
    src/jcmaster.c
    src/jcomapi.c
    src/jcparam.c
    src/jcphuff.c
    src/jctrans.c
    src/jdapimin.c
    src/jdarith.c
    src/jdatadst.c
    src/jdatasrc.c
    src/jdhuff.c
    src/jdicc.c
    src/jdinput.c
    src/jdlhuff.c
    src/jdmarker.c
    src/jdmaster.c
    src/jdphuff.c
    src/jdtrans.c
    src/jerror.c
    src/jfdctflt.c
    src/jmemmgr.c
    src/jmemnobs.c
    src/jpeg_nbits.c)

qt_internal_add_3rdparty_library(BundledLibjpeg16bits
    STATIC
    SKIP_AUTOMOC
    SOURCES
        ${JPEG16_SOURCES}
    DEFINES
        BITS_IN_JSAMPLE=16
    INCLUDE_DIRECTORIES
        src
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
)

qt_internal_add_3rdparty_library(BundledLibjpeg12bits
    STATIC
    SKIP_AUTOMOC
    SOURCES
        ${JPEG12_SOURCES}
    DEFINES
        BITS_IN_JSAMPLE=12
    INCLUDE_DIRECTORIES
        src
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
)

qt_internal_add_3rdparty_library(BundledLibjpeg
    QMAKE_LIB_NAME libjpeg
    STATIC
    SKIP_AUTOMOC
    INSTALL
    SOURCES
        ${JPEG_SOURCES}
        $<TARGET_OBJECTS:BundledLibjpeg12bits>
        $<TARGET_OBJECTS:BundledLibjpeg16bits>
    INCLUDE_DIRECTORIES
        src
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
)

qt_internal_add_3rdparty_header_module(JpegPrivate
    EXTERNAL_HEADERS
        src/jpeglib.h
        src/jerror.h
        src/jconfig.h
        src/jmorecfg.h
)

qt_disable_warnings(BundledLibjpeg)
qt_disable_warnings(BundledLibjpeg12bits)
qt_disable_warnings(BundledLibjpeg16bits)
qt_set_symbol_visibility_hidden(BundledLibjpeg)
qt_set_symbol_visibility_hidden(BundledLibjpeg12bits)
qt_set_symbol_visibility_hidden(BundledLibjpeg16bits)

qt_internal_extend_target(BundledLibjpeg CONDITION MSVC
    DEFINES
        _CRT_SECURE_NO_WARNINGS
)
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU"
    OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"
    OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
    target_compile_options(BundledLibjpeg PRIVATE "-Wno-unused-parameter")
endif()

=== tests/auto/cmake/test_QFINDTESTDATA/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.11)

project(test_QFINDTESTDATA)

find_package(Qt5Test REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(tests)

=== tests/auto/cmake/test_egl_lib/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_egl_lib)

find_package(Qt5Gui REQUIRED)

include_directories(${Qt5Gui_INCLUDE_DIRS} ${Qt5Gui_EGL_INCLUDE_DIRS} )
add_definitions(${Qt5Gui_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}")

add_executable(myobject main.cpp )
target_link_libraries(myobject ${Qt5Gui_LIBRARIES} ${Qt5Gui_EGL_LIBRARIES})

=== tests/auto/cmake/test_json_plugin_includes/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_json_plugin_includes)

find_package(Qt5Core REQUIRED)

include_directories(${Qt5Core_INCLUDE_DIRS})

add_definitions(${Qt5Core_DEFINITIONS})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/jsontestplugin.json" "{}\n")

qt5_wrap_cpp(moc_files plugin.h)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_library(plugin plugin.cpp ${moc_files})
target_link_libraries(plugin ${Qt5Core_LIBRARIES})

=== tests/auto/cmake/test_private_includes/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_private_includes)

find_package(Qt5Gui REQUIRED Private)

include_directories(
  ${Qt5Gui_INCLUDE_DIRS}
  ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

add_definitions(${Qt5Gui_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}")

add_executable(testapp main.cpp)
target_link_libraries(testapp ${Qt5Gui_LIBRARIES})

=== tests/auto/cmake/test_versionless_targets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(versionless_targets)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)

find_package(Qt5Core REQUIRED)

if (NOT TARGET Qt5::Core)
    message(SEND_ERROR "Qt5::Core target not defined!")
endif()

if (TARGET Qt::Core)
    message(SEND_ERROR "Qt::Core target defined despite QT_NO_CREATE_VERSIONLESS_TARGETS!")
endif()

set(QT_NO_CREATE_VERSIONLESS_TARGETS OFF)

find_package(Qt5Core REQUIRED)

if (NOT TARGET Qt::Core)
    message(SEND_ERROR "Qt::Core target not defined!")
endif()

=== tests/manual/network/ssl/client-auth/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_manual_test(tst_manual_ssl_client_auth
    SOURCES
        tst_manual_ssl_client_auth.cpp
    LIBRARIES
        Qt::Network
)

qt_internal_add_resource(tst_manual_ssl_client_auth "tst_manual_ssl_client_auth"
    PREFIX
        "/"
    FILES
        "certs/127.0.0.1.pem"
        "certs/127.0.0.1-key.pem"
        "certs/127.0.0.1-client.pem"
        "certs/127.0.0.1-client-key.pem"
        "certs/accepted-client.pem"
        "certs/accepted-client-key.pem"
        "certs/rootCA.pem"
    BASE
        "certs"
)

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.17+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:32:21 +0300

qtbase-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge 5.15.15+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5t64.symbols for sh4.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:45:42 +0300

qtbase-opensource-src-gles (5.15.17+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.17+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.17.
  * Add missing t64 suffix in debian/libqt5gui5-gles.lintian-overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Jul 2025 15:01:47 +0300

qtbase-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge 5.15.15+dfsg-5 upload from unstable.
  * Drop patches, included in the new release:
    - CVE-2023-51714.diff
    - CVE-2024-25580.diff
    - gcc_14.diff
  * Refresh CVE-2024-39936.diff.
  * Bump ABI version to qtbase-abi-5-15-17.
  * Update debian/copyright.
  * Remove logic for Perl shebang rewriting, dh_perl now does that.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 May 2025 22:32:13 +0300

qtbase-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Merge changes from 5.15.15+dfsg-3.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:46:08 +0100

qtbase-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop libxkbcommon_1.6.0.diff, included in the new release.
  * Update symbols files from buildds’ and current build logs.
    - Qt_5.x symbols are now defined only in libqt5core5t64.
  * Bump ABI version to qtbase-abi-5-15-16.
  * Exclude non-free util/update_public_suffix_list.sh from the tarball.
  * Update debian/copyright.
  * Remove unused package-name-doesnt-match-sonames Lintian overrides.
    - Lintian >= 2.117.1 does not complain about t64 package names.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Jan 2025 22:26:02 +0300

qtbase-opensource-src (5.15.15+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to fix assertion errors in data: URL parsing
    (CVE-2025-5455, closes: #1108475).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Jun 2025 22:50:45 +0300

qtbase-opensource-src (5.15.15+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to add null checks in table iface methods in
    linuxaccessibility/atspiadaptor.cpp (closes: #1081682).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Mar 2025 15:42:48 +0300

qtbase-opensource-src (5.15.15+dfsg-4) unstable; urgency=medium

  * Fix containsTLDEntry() crash when tldChunkCount >= 3 (closes: #1095423).
    - Thanks to Timo Röhling for help with debugging this!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2025 19:24:33 +0300

qtbase-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt5gui5t64.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:20:36 +0100

qtbase-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:40:08 +0300

=== debian/control ===
--- 
+++ 
@@ -38,13 +38,13 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5t64 (>= 5.15.15+dfsg~),
-               libqt5dbus5t64 (>= 5.15.15+dfsg~),
-               libqt5network5t64 (>= 5.15.15+dfsg~),
+               libqt5core5t64 (>= 5.15.17+dfsg~),
+               libqt5dbus5t64 (>= 5.15.17+dfsg~),
+               libqt5network5t64 (>= 5.15.17+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
-               libvulkan-dev [linux-any],
+               libvulkan-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb-icccm4-dev,
@@ -74,7 +74,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -114,7 +114,7 @@
          libqt5test5t64 (>= ${source:Upstream-Version}),
          libqt5widgets5t64 (>= ${source:Upstream-Version}),
          libqt5xml5t64 (>= ${source:Upstream-Version}),
-         libvulkan-dev [linux-any],
+         libvulkan-dev,
          libxext-dev,
          qt5-qmake (>= ${source:Upstream-Version}),
          qtbase5-dev-tools (>= ${source:Upstream-Version}),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use precompiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
platform_arg = $(platform_os)-g++

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
endif

# Refuse cross building with a qmake whose version differs from the package.
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${source:Upstream-Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION_UPSTREAM)"
endif
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -no-directfb \
	            -no-use-gold-linker \
	            -no-mimetype-database \
	            -no-feature-relocatable \
	            -xcb-native-painting \
	            -opengl es2 \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build -- sub-src

override_dh_auto_install-arch:
	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) \
		install_mkspecs \
		sub-src-install_subtargets \
		sub-doc-install_subtargets

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't need it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# A user of Qt built by a distro doesn't need to find where the plugins
	# are via CMake, so don't install them.
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Q*ThemePlugin.cmake
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Sql/Q*DriverPlugin.cmake

	# There is also no need to install libQtBootstrap. As its name indicates it's
	# only used to bootstrap qt.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtbase-everywhere-opensource-src-(.*)\.tar\.xz
